Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
CPT_InternalName Class Reference

This is a const pointer to an InternalName, and should be used in lieu of a CPT(InternalName) in function arguments. More...

`#include "internalName.h"`

Inheritance diagram for CPT_InternalName:

## Public Member Functions
template<int N>
| CPT_InternalName (const char(&literal)[N])
| CPT_InternalName (const ConstPointerTo< InternalName > &copy)
| CPT_InternalName (const PointerTo< InternalName > &copy)
| CPT_InternalName (const std::string &name)
| CPT_InternalName (const To *ptr=nullptr)
| CPT_InternalName (ConstPointerTo< InternalName > &&from) noexcept
| CPT_InternalName (PointerTo< InternalName > &&from) noexcept
CPT_InternalName & | operator= (const ConstPointerTo< InternalName > &copy)
CPT_InternalName & | operator= (const PointerTo< InternalName > &copy)
CPT_InternalName & | operator= (const To *ptr)
CPT_InternalName & | operator= (ConstPointerTo< InternalName > &&from) noexcept
CPT_InternalName & | operator= (PointerTo< InternalName > &&from) noexcept
Public Member Functions inherited from ConstPointerTo< InternalName >
| ConstPointerTo (const ConstPointerTo< InternalName > &copy)
| ConstPointerTo (const ConstPointerTo< Y > &r) noexcept
| ConstPointerTo (const PointerTo< InternalName > &copy)
| ConstPointerTo (const PointerTo< Y > &r) noexcept
| ConstPointerTo (const To *ptr) noexcept
| ConstPointerTo (const typename ConstPointerTo< InternalName >::To *ptr) noexcept
| ConstPointerTo (const typename ConstPointerTo< InternalName >::To *ptr) noexcept
| ConstPointerTo (const Y *ptr) noexcept
| ConstPointerTo (ConstPointerTo< InternalName > &&from) noexcept
| ConstPointerTo (ConstPointerTo< Y > &&r) noexcept
| ConstPointerTo (PointerTo< InternalName > &&from) noexcept
| ConstPointerTo (PointerTo< Y > &&r) noexcept
constexpr | ConstPointerTo (std::nullptr_t) noexcept
const InternalName *& | cheat ()
| Returns a reference to the underlying pointer.
constexpr | operator const InternalName * () const noexcept
| We also have the typecast operator to automatically convert ConstPointerTo's to the required kind of actual pointer.
constexpr const To & | operator* () const noexcept
constexpr const To * | operator-> () const noexcept
ConstPointerTo< InternalName > & | operator= (const ConstPointerTo< InternalName > &copy)
ConstPointerTo< InternalName > & | operator= (const ConstPointerTo< Y > &r) noexcept
ConstPointerTo< InternalName > & | operator= (const PointerTo< InternalName > &copy)
ConstPointerTo< InternalName > & | operator= (const PointerTo< Y > &r) noexcept
ConstPointerTo< InternalName > & | operator= (const To *ptr)
ConstPointerTo< InternalName > & | operator= (ConstPointerTo< InternalName > &&from) noexcept
ConstPointerTo< InternalName > & | operator= (ConstPointerTo< Y > &&r) noexcept
ConstPointerTo< InternalName > & | operator= (PointerTo< InternalName > &&from) noexcept
ConstPointerTo< InternalName > & | operator= (PointerTo< Y > &&r) noexcept
constexpr const To * | p () const noexcept
| Returns an ordinary pointer instead of a ConstPointerTo.
Public Member Functions inherited from PointerToBase< InternalName >
void | clear ()
| A convenient way to set the PointerTo object to NULL.
void | output (std::ostream &out) const
| A handy function to output PointerTo's as a hex pointer followed by a reference count.
Public Member Functions inherited from PointerToVoid
size_t | get_hash () const
constexpr bool | is_null () const
| Returns true if the PointerTo is a NULL pointer, false otherwise.
bool | operator!= (const PointerToVoid &other) const
bool | operator< (const PointerToVoid &other) const
bool | operator< (const void *other) const
bool | operator== (const PointerToVoid &other) const
void | swap (PointerToVoid &other) noexcept
| Swaps the contents of this PointerTo with the other, without touching the reference counts.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Additional Inherited Members
Public Types inherited from ConstPointerTo< InternalName >
typedef PointerToBase< InternalName >::To | To
Public Types inherited from PointerToBase< InternalName >
typedef InternalName | To

## Detailed Description

This is a const pointer to an InternalName, and should be used in lieu of a CPT(InternalName) in function arguments.

The extra feature that it offers is that it has a constructor to automatically convert from a string, so that strings are coerced by the compiler when passed to such a function.

Definition at line 193 of file internalName.h.

## Constructor & Destructor Documentation

## ◆ CPT_InternalName() [1/6]

CPT_InternalName::CPT_InternalName | ( | const PointerTo< InternalName > & | copy | ) |
| inline

Definition at line 391 of file internalName.I.

## ◆ CPT_InternalName() [2/6]

CPT_InternalName::CPT_InternalName | ( | PointerTo< InternalName > && | from | ) |
| inline noexcept

Definition at line 428 of file internalName.I.

## ◆ CPT_InternalName() [3/6]

CPT_InternalName::CPT_InternalName | ( | const ConstPointerTo< InternalName > & | copy | ) |
| inline

Definition at line 400 of file internalName.I.

## ◆ CPT_InternalName() [4/6]

CPT_InternalName::CPT_InternalName | ( | ConstPointerTo< InternalName > && | from | ) |
| inline noexcept

Definition at line 437 of file internalName.I.

## ◆ CPT_InternalName() [5/6]

CPT_InternalName::CPT_InternalName | ( | const std::string & | name | ) |
| inline

Definition at line 409 of file internalName.I.

## ◆ CPT_InternalName() [6/6]

template<int N>

CPT_InternalName::CPT_InternalName | ( | const char(&) | literal[N] | ) |
| inline

Definition at line 419 of file internalName.I.

## Member Function Documentation

## ◆ operator=() [1/5]

CPT_InternalName & CPT_InternalName::operator= | ( | const ConstPointerTo< InternalName > & | copy | ) |
| inline

Definition at line 482 of file internalName.I.

## ◆ operator=() [2/5]

CPT_InternalName & CPT_InternalName::operator= | ( | const PointerTo< InternalName > & | copy | ) |
| inline

Definition at line 473 of file internalName.I.

## ◆ operator=() [3/5]

CPT_InternalName & CPT_InternalName::operator= | ( | const To * | ptr | ) |
| inline

Definition at line 464 of file internalName.I.

## ◆ operator=() [4/5]

CPT_InternalName & CPT_InternalName::operator= | ( | ConstPointerTo< InternalName > && | from | ) |
| inline noexcept

Definition at line 455 of file internalName.I.

## ◆ operator=() [5/5]

CPT_InternalName & CPT_InternalName::operator= | ( | PointerTo< InternalName > && | from | ) |
| inline noexcept

Definition at line 446 of file internalName.I.

The documentation for this class was generated from the following files:

- panda/src/gobj/internalName.h
- panda/src/gobj/internalName.I